# Class SSIServletExternalResolver.ServletContextAndPath

java.lang.Object
org.apache.catalina.ssi.SSIServletExternalResolver.ServletContextAndPath

Enclosing class:
  `SSIServletExternalResolver`

protected static class SSIServletExternalResolver.ServletContextAndPath extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `path`
  `protected final ServletContext`
  `servletContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServletContextAndPath(ServletContext servletContext, String path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPath()`
  `ServletContext`
  `getServletContext()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### servletContext

    protected final ServletContext servletContext

  - ### path

    protected final String path

- ## Constructor Details

  - ### ServletContextAndPath

    public ServletContextAndPath(ServletContext servletContext, String path)

- ## Method Details

  - ### getServletContext

    public ServletContext getServletContext()

  - ### getPath

    public String getPath()